---
variables:
  DOCKER_HOST: tcp://docker:2375

stages:
  - lint
  - test

lint:
  extends: .dind_service
  stage: lint
  image: registry.gitlab.com/sandlin/dockerfiles/ansible-ci:latest
  script:
    - molecule lint

test:
  extends: .dind_service
  stage: test
  image: registry.gitlab.com/sandlin/dockerfiles/ansible-ci:latest
  script:
    - molecule test
  #rules:
  #  - changes:
  #    - roles/omnibus/**/*

include:
  - project: 'sandlin/gitlab/templates'
    ref: 'tags/dind_19.03.12'
    file: 'dind_service.yml'
  - template: Security/Dependency-Scanning.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/Dependency-Scanning.gitlab-ci.yml
  - template: Security/License-Scanning.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/License-Scanning.gitlab-ci.yml
  - template: Security/SAST.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/SAST.gitlab-ci.yml
